# TileDesc Struct Reference

Tile description for the 'land area information' tool. More...

`#include <tile_cmd.h>`

## Data Fields

StringID | str
| Description of the tile.
Owner | owner [4]
| Name of the owner(s).
StringID | owner_type [4]
| Type of each owner.
Date | build_date
| Date of construction of tile contents.
StringID | station_class
| Class of station.
StringID | station_name
| Type of station within the class.
const char * | grf
| newGRF used for the tile contents
uint64 | dparam [2]
| Parameters of the str string.

## Detailed Description

Tile description for the 'land area information' tool.

Definition at line 53 of file tile_cmd.h.

The documentation for this struct was generated from the following file:

- src/tile_cmd.h